dolphin (4:26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:20:56 +0100

dolphin (4:26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:23:15 +0100

dolphin (4:26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)
  * Comment out relax-baloo-widgets-version.patch. We always build with
    a matching version.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 11:48:48 +0100

dolphin (4:26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:30:33 +0100

dolphin (4:26.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix borked old changelog versions that make dpkg-mergechangelogs
    unhappy.
  * New upstream release (26.04.0).
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Apr 2026 21:59:21 +0200

dolphin (4:25.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.3).
  * Remove autopkgtests (Closes: #1131748).
  * Bump Standards-Version to 4.7.4 (no changes needed).
  * Update d/watch to format version 5.
  * Drop Rules-Requires-Root: no, not needed any more.
  * Remove Priority: optional, not needed anymore.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Apr 2026 12:17:26 +0200

dolphin (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:43:59 +0000

dolphin (4:25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:49:08 +0000

dolphin (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:20 +0000

dolphin (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:34:59 +0000

dolphin (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump Gear build deps to current version.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 13:38:11 +0000

dolphin (4:25.12.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 10:52:45 +0100

dolphin (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:56:34 +0000

dolphin (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:15 +0000

dolphin (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:17 +0000

dolphin (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:44 +0000

dolphin (4:25.08.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:53:22 +0000

dolphin (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:23 +0000

dolphin (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:30 +0100

dolphin (4:25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:10:16 +0100

dolphin (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:52 +0100

dolphin (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:48:27 +0100

dolphin (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:27:26 +0100

dolphin (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update patches.
  * Build depend on qt6-multimedia-dev
  * Update install files.
  * Drop phonon build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:02:24 +0100

dolphin (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Viewproperties: Fix leaking file descriptors. (kde#505215)
  * Refresh patches.
  * Backport upstream commit:
    - KFileItemListWidget: wrong selection when renamed file ends with a dot.
    [1e5bc5b3]
    - Fix multi-file selection does not work when Dolphin is opened with a
    pre-selected file. [b64bf8ca] (kde#503221)
    - Ensure view is reset only actually showing paths or subpaths from the
    unmounted location.  [3e4d9ca1]
    - Fix dolphin not reporting I/O errors when copying multiple files.
    [6dd55251, c4ffe88c] (kde#506282)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 08:19:05 +0200

dolphin (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)
  * Refresh relax-baloo-widgets-version.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:28 +0100

dolphin (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.
    - Build depend on libbaloowidgets-dev (>= 4:25.04.2~)

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 11:19:11 +0100

dolphin (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Promote dolphin-plugins to Recommends.
  * Also recommend kdenetwork-filesharing.
  * Suggest kio-admin.
  * New upstream release (25.04.1):
    -  DolphinStatusbar: Fix background and margins for non-Breeze styles.
    - DolphinView: If contextmenu is requested, abort twoClicksRenaming.
    (kde#503185)
    - Dolphinui: Set view_mode action to low priority. (kde#501498)
    - Use dolphin icon for dolphin windows.
    - KStandardItemList: have emblem when hovering.
    - Fix session restore. (kde#502770).
  * New upstream release (25.04.2):
    - Translation fixes.
  * Drop patch applied upstream.
  * Relax required baloo widgets version to fix missing side information
    panel. (Closes: #1104977)
  * Make baloo widgets a required dependency so we don’t silently break
    the side information panel again.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 07:51:00 +0200

dolphin (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:08 +0100

dolphin (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:10 +0100

dolphin (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:00 +0200

dolphin (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Install files for new kconf update.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:40:58 +0100

dolphin (4:25.03.90-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Backport patch to fix the session restore (Closes: #1103258).

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Apr 2025 18:04:38 +0200

dolphin (4:25.03.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport commit to fix count of items in folders not updated on file
    creation. (Closes: #1102996)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Apr 2025 11:20:14 +0200

dolphin (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Bump minimal required version of baloo-widgets.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:14:46 +0200

dolphin (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:40 -0500

dolphin (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:35:21 +0000

dolphin (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 13:30:28 +0000

dolphin (4:24.12.2-2) unstable; urgency=medium

  * Team upload.
  * Move the AppStream XML metainfo from dolphin-data to dolphin, together
    with the executable it represents
    - add proper breaks/replaces
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2025 11:44:44 +0100

dolphin (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Feb 2025 18:19:15 +0100

dolphin (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:34 +0000

dolphin (4:24.12.1-2) unstable; urgency=medium

  * Bump libbaloowidgets-dev minimum version
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 25 Jan 2025 13:57:51 +0100

dolphin (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 22:59:13 +0100

dolphin (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:02:19 -0600

dolphin (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:24:31 +0000

dolphin (4:24.12.0.1-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix epoch of the baloo-widgets build dependency, fixes the missing info
    panel for real…

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 19:27:55 +0100

dolphin (4:24.12.0.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump minimal version of baloo-widgets to fix missing info panel.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 18:36:57 +0100

dolphin (4:24.12.0.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 08:53:52 +0100

dolphin (4:24.12.0.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0.1).

 -- Rik Mills <rikmills@kde.org>  Thu, 19 Dec 2024 23:55:58 +0000

dolphin (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:02:10 +0000

dolphin (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:19:14 -0600

dolphin (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:39 +0000

dolphin (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 18:15:56 +0000

dolphin (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:36:47 +0000

dolphin (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:16:53 +0000

dolphin (4:24.08.1-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:05:25 +0100

dolphin (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:36 +0100

dolphin (4:24.08.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update dev package dependencies.
  * Update the list of installed files.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:50:39 +0100

dolphin (4:24.08.0-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Switch kimageformat-plugins dependency to kimageformat6-plugins.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 09:11:20 +0200

dolphin (4:24.08.0-3ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 07 Sep 2024 02:02:26 -0700

dolphin (4:24.08.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Recommend Qt 6-based version of kio-extras.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 23:32:19 +0200

dolphin (4:24.08.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix arch:all build.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 14:40:24 +0200

dolphin (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks against older version of dolphin-plugins.
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:11:01 +0200

dolphin (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * B-D on pkgconf instead of pkg-config.
  * Bump libdolphinvcs5 soname to 6.
  * Update list of installed files from build system.
  * B-D on dh-sequence-kf6 and update d/rules to match.
  * Generate new libdolphinvcs6.symbols.
  * Update lintian overrides.
  * Enable optional baloo-widgets support.
  * Update copyright info.
  * Override lintian W: no-manual-page for dolphin and
    servicemenuinstaller.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Split arch-indep files into dolphin-data and dolphin-doc.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 23:01:13 +0200

dolphin (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:22 +0200

dolphin (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:50 +0000

dolphin (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:15:09 +0000

dolphin (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:29:05 -0700

dolphin (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:06 +0000

dolphin (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:11 +0000

dolphin (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:34 +0100

dolphin (4:23.08.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (23.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Oct 2023 23:33:43 +0200

dolphin (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:48 +0100

dolphin (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:35 +0100

dolphin (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:42 +0100

dolphin (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:48 +0100

dolphin (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libqt5x11extras5-dev to Build-Depends
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:28 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdolphinvcs6`.
